<?php

namespace jrosset\Collections;

/**
 * Interface for PHP-native array cast
 *
 * @psalm-template     TKey of array-key
 * @template-covariant TValue
 */
interface IArrayCast {
    /**
     * Transform to a PHP-native array
     *
     * @return array The native array
     * @psalm-return array<TKey, TValue>
     */
    public function toArray (): array;
}