<?php

namespace jrosset\Collections;

/**
 * A collection with unique values
 *
 * @psalm-template     TKey of array-key
 * @template-covariant TValue
 * @template-extends Collection<TKey, TValue>
 * @template-extends TUniqueValues<TKey, TValue>
 */
class UniqueCollection extends Collection {
    use TUniqueValues;
}