<?php

namespace jrosset\Collections;

/**
 * An immutable collection with unique values
 *
 * @psalm-template     TKey of array-key
 * @template-covariant TValue
 * @template-extends ImmutableCollection<TKey, TValue>
 * @template-extends TUniqueValues<TKey, TValue>
 */
class UniqueImmutableCollection extends ImmutableCollection {
    use TUniqueValues;
}