<?php

namespace jrosset\Collections;

/**
 * An immutable collection with insensitive case keys
 *
 * @psalm-template     TKey of array-key
 * @template-covariant TValue
 * @template-extends ImmutableCollection<TKey, TValue>
 */
class InsensitiveCaseKeyImmutableCollection extends ImmutableCollection implements IImmutableCollection {
    use TInsensitiveCaseKey;
}